add network panel timing markers for ServiceWorker interception
It would be nice to add some network panel timing markers for certain events when the ServiceWorker does interception.  It seems this might be somewhat straightforward, although main-thread-only issues might create some problems.